function init(hero) {
    hero.setName("Sasuke/Naruto Pre Shippuden");
    hero.setTier(4);
    
    hero.setHelmet("Headband");
    hero.setChestplate("Shirt");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("tmfp:sharingan");
    hero.addAttribute("FALL_RESISTANCE", 10.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 3.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.5, 1);
    hero.addAttribute("JUMP_HEIGHT", 2.0, 0);
    hero.addAttribute("STEP_HEIGHT", 0.5, 0);
    
    hero.addKeyBind("UTILITY_BELT", "key.utilityBelt", 1);
    hero.addKeyBind("FIRE", "Toggle Fire Jutsu", 1);
    hero.addKeyBind("SLOW_MOTION", "key.slowMotion", 2);
    hero.addKeyBind("CHARGE_ICE", "Chidori", 3);
    hero.addKeyBind("SHARINGAN", "Toggle Sharingan", 4);
    hero.addKeyBind("CURSE_MARK", "Toggle Curse Mark", 5);

    hero.addAttributeProfile("SHARINGAN", sharinganProfile);
    hero.addAttributeProfile("CURSE_MARK", curse_markProfile);
    hero.setAttributeProfile(getProfile);
    hero.setKeyBindEnabled(isKeyBindEnabled);
    hero.setModifierEnabled(isModifierEnabled);
}
function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    case "CHARGE_ICE":
        return entity.getHeldItem().isEmpty() && entity.getData('tmfp:dyn/sharingan');
    case "CURSE_MARK":
        return entity.getData('tmfp:dyn/sharingan');
    case "FIRE":
        return entity.isSneaking();
    case "UTILITY_BELT":
        return !entity.isSneaking() && !entity.getData('tmfp:dyn/flame_mod');;
    case "SLOW_MOTION":
        return entity.getData('tmfp:dyn/sharingan');
    default:
        return true;
    }
}
function sharinganProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("SPRINT_SPEED", 0.9, 1);
}
function curse_markProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 20.0, 0);
    profile.addAttribute("SPRINT_SPEED", 1.5, 1);
    profile.addAttribute("JUMP_HEIGHT", 4.0, 0);
}
function getProfile(entity) {
    if (entity.getData("tmfp:dyn/curse_mark")) {
        return "CURSE_MARK";
    }
    return entity.getData("tmfp:dyn/sharingan") ? "SHARINGAN" : null;
}
function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:fireball":
        return entity.getData("tmfp:dyn/flame_mod");
    case "fiskheroes:equipment":
        return !entity.getData("tmfp:dyn/flame_mod");
    case "fiskheroes:damage_bonus":
        return modifier.id() == "chidori" == (!entity.getData("tmfp:dyn/curse_mark"));
    case "fiskheroes:damage_bonus":
        return modifier.id() == "onyx_chidori" == (entity.getData("tmfp:dyn/curse_mark"));
    default:
        return true;
    }
}